iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
AMapNearbySearchManager Class Reference

附近搜索管理类，同时只能有一个实例开启，否则可能会出现错误。 More...

`#include <AMapNearbySearchManager.h>`

Inheritance diagram for AMapNearbySearchManager:

## Instance Methods
(instancetype) | - init
| 请使用单例。
(void) | - startAutoUploadNearbyInfo
| 启动自动上传。
(void) | - stopAutoUploadNearbyInfo
| 关闭自动上传。
(BOOL) | - uploadNearbyInfo:
| 执行单次上传，执行间隔不低于uploadTimeInterval最小值，否则执行失败。
(BOOL) | - clearUserInfoWithID:
| 清除服务器上某一用户的信息。

## Class Methods
(instancetype) | + sharedInstance
| manager单例. 初始化之前请设置key，否则将无法正常使用该服务.

## Properties
NSTimeInterval | uploadTimeInterval
| 上传最小间隔，默认15s，最小7s。自动上传的过程中设置无效。
id< AMapNearbySearchManagerDelegate > | delegate
| 代理对象。
BOOL | isAutoUploading
| 是否正在自动上传状态中。

## Detailed Description

附近搜索管理类，同时只能有一个实例开启，否则可能会出现错误。

## Method Documentation

## ◆ clearUserInfoWithID:

- (BOOL) clearUserInfoWithID: |  | ((deprecated("已废弃 since 7.4.0，该功能不再支持"))) | __attribute |

清除服务器上某一用户的信息。

Parameters

  userID | 指定的用户ID

Returns
  成功执行返回YES，否则返回NO。

## ◆ init

- (instancetype) init |  |  |

请使用单例。

## ◆ sharedInstance

+ (instancetype) sharedInstance |  |  |

manager单例. 初始化之前请设置key，否则将无法正常使用该服务.

Returns
  nearbySearch实例。

## ◆ startAutoUploadNearbyInfo

- (void) startAutoUploadNearbyInfo |  |  |

启动自动上传。

## ◆ stopAutoUploadNearbyInfo

- (void) stopAutoUploadNearbyInfo |  |  |

关闭自动上传。

## ◆ uploadNearbyInfo:

- (BOOL) uploadNearbyInfo: |  | ((deprecated("已废弃 since 7.4.0，该功能不再支持"))) | __attribute |

执行单次上传，执行间隔不低于uploadTimeInterval最小值，否则执行失败。

Parameters

  info | 需要上传的信息。

Returns
  成功执行返回YES，否则返回NO。

## Property Documentation

## ◆ delegate

- (id<AMapNearbySearchManagerDelegate>) delegate
| read write nonatomic weak

代理对象。

## ◆ isAutoUploading

- (BOOL) isAutoUploading
| read nonatomic assign

是否正在自动上传状态中。

## ◆ uploadTimeInterval

- (NSTimeInterval) uploadTimeInterval
| read write nonatomic assign

上传最小间隔，默认15s，最小7s。自动上传的过程中设置无效。

The documentation for this class was generated from the following file:

- AMapNearbySearchManager.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。